apiVersion: v1
kind: Service
metadata:
  name: nextcloud-metrics
  labels:
    app.kubernetes.io/name: nextcloud
    app.kubernetes.io/component: metrics
  annotations:
    prometheus.io/port: "9205"
    prometheus.io/scrape: "true"
spec:
  type: ClusterIP
  ports:
    - name: metrics
      port: 9205
      targetPort: metrics
  selector:
    app.kubernetes.io/name: nextcloud
    app.kubernetes.io/component: metrics

